# Pockets

 - [POST /api/v2/customers/{customer_id}/pockets/](https://docs.jiko.io/products/partner-api/reference/pockets/create_pocket_api_v2_customers__customer_id__pockets__post.md): Creates a single Pocket for a customer. Set the Pocket's trading strategy with `deposit_strategy_id` and, optionally, `reinvestment_strategy_id`. Get the available strategy IDs from List Trading Strat
 - [GET /api/v2/customers/{customer_id}/pockets/](https://docs.jiko.io/products/partner-api/reference/pockets/list-pockets-v2.md): Retrieve all Pockets for a single Customer.
 - [GET /api/v2/pockets/](https://docs.jiko.io/products/partner-api/reference/pockets/list-all-pockets-v2.md): Retrieve all Pockets for a list of Customers.
 - [GET /api/v2/customers/{customer_id}/pockets/{pocket_id}/](https://docs.jiko.io/products/partner-api/reference/pockets/get-pocket-v2.md): Retrieve a single Pocket for a given `pocket_id.`
 - [PATCH /api/v2/customers/{customer_id}/pockets/{pocket_id}/](https://docs.jiko.io/products/partner-api/reference/pockets/update-pocket-v2.md): Update a Pocket's name, or update a Pocket's status. If the intent is to close a Pocket, then there are two requirements: The Pocket needs to be empty, and there has to be at least one other open Pock
 - [GET /api/v2/pockets/{pocket_id}/](https://docs.jiko.io/products/partner-api/reference/pockets/get-single-pocket-v2.md): Retrieve a single Pocket for a given `pocket_id.`
 - [GET /api/v2/pockets/{pocket_id}/earnings/](https://docs.jiko.io/products/partner-api/reference/pockets/get-earnings-v2.md): Returns the earnings of a single Pocket for a period: `wtd`, `mtd`, `ytd`, `all-time` (the default), or `range`. For `range`, `date_from` and `date_to` are required.
 - [GET /api/v2/customers/{customer_id}/earnings/](https://docs.jiko.io/products/partner-api/reference/pockets/get-customer-earnings-v2.md): Returns current-period earnings for each of a customer's Pockets plus their exact aggregate, in a single call. The aggregate is the field-wise sum of the per-Pocket entries (sum of `earnings`, sum of
